Package org.springframework.security.config.web.server

# Class ServerHttpSecurity.OidcLogoutSpec

java.lang.Object
org.springframework.security.config.web.server.ServerHttpSecurity.OidcLogoutSpec

Enclosing class:
  ServerHttpSecurity

public final class ServerHttpSecurity.OidcLogoutSpec extends Object
Configures OIDC 1.0 Logout support

Since:
  6.2

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`final class`
`ServerHttpSecurity.OidcLogoutSpec.BackChannelLogoutConfigurer`
A configurer for configuring OIDC Back-Channel Logout

## Constructor Summary

Constructors
Constructor
Description
`OidcLogoutSpec()`

## Method Summary

Modifier and Type
Method
Description
`ServerHttpSecurity`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
`ServerHttpSecurity.OidcLogoutSpec`
`backChannel(Customizer<ServerHttpSecurity.OidcLogoutSpec.BackChannelLogoutConfigurer> backChannelLogoutConfigurer)`
Configure OIDC Back-Channel Logout using the provided `Consumer`
`ServerHttpSecurity.OidcLogoutSpec`
`clientRegistrationRepository(org.springframework.security.oauth2.client.registration.ReactiveClientRegistrationRepository clientRegistrationRepository)`
Configures the `ReactiveClientRegistrationRepository`.
`ServerHttpSecurity.OidcLogoutSpec`
`oidcSessionRegistry(org.springframework.security.oauth2.client.oidc.server.session.ReactiveOidcSessionRegistry sessionRegistry)`
Configures the `ReactiveOidcSessionRegistry`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OidcLogoutSpec

public OidcLogoutSpec()

## Method Details

### clientRegistrationRepository

public ServerHttpSecurity.OidcLogoutSpec clientRegistrationRepository(org.springframework.security.oauth2.client.registration.ReactiveClientRegistrationRepository clientRegistrationRepository)
Configures the `ReactiveClientRegistrationRepository`. Default is to look the value up as a Bean.

Parameters:
  `clientRegistrationRepository` - the repository to use
Returns:
  the `ServerHttpSecurity.OidcLogoutSpec` to customize

### oidcSessionRegistry

public ServerHttpSecurity.OidcLogoutSpec oidcSessionRegistry(org.springframework.security.oauth2.client.oidc.server.session.ReactiveOidcSessionRegistry sessionRegistry)
Configures the `ReactiveOidcSessionRegistry`. Default is to use the value from `ServerHttpSecurity.OAuth2LoginSpec.oidcSessionRegistry`, then look the value up as a Bean, or else use an `InMemoryReactiveOidcSessionRegistry`.

Parameters:
  `sessionRegistry` - the registry to use
Returns:
  the `ServerHttpSecurity.OidcLogoutSpec` to customize

### backChannel

public ServerHttpSecurity.OidcLogoutSpec backChannel(Customizer<ServerHttpSecurity.OidcLogoutSpec.BackChannelLogoutConfigurer> backChannelLogoutConfigurer)
Configure OIDC Back-Channel Logout using the provided `Consumer`

Returns:
  the `ServerHttpSecurity.OidcLogoutSpec` for further configuration

### and

@Deprecated(forRemoval=true, since="6.2") public ServerHttpSecurity and()
Deprecated, for removal: This API element is subject to removal in a future version.